#pragma once
#include "SellSreenRow.h"
#include "../../Screen.h"
#include "Gui/GuiText.h"

class SoundEffect;

class SellScreen final : public Screen {
public:
	SellScreen(const std::string& filePath, Vector2f pos, Vector2f size, TextureManager* manager);
	virtual ~SellScreen() override;

	virtual void Draw() const override;
	virtual void Update(float elapsedSecs) override;

	void MarkDirty();
	void SellAll();

private:
	GuiText* m_TotalMoneyText;

	std::vector<SellSreenRow *> m_Rows;

	bool m_AreRowsDirty { true };

	SoundEffect* m_BuySound { nullptr };

};
